ServerEvents.recipes(event => {
    event.remove({ output: 'industrialforegoing:machine_frame_pity' })
    event.shaped(
        Item.of('industrialforegoing:machine_frame_pity'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: '#minecraft:logs',
            B: 'quark:sturdy_stone',
            C: [
                'mna:stone_rune_blank',
                '#mna:stone_runes',
                '#dmnr:upgrade_seal'
            ],
            D: 'create:andesite_casing'
        }
    )
    event.remove({ output: 'industrialforegoing:mob_slaughter_factory' })
    event.shaped(
        Item.of('industrialforegoing:mob_slaughter_factory'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'industrialforegoing:plastic',
            B: '#forge:gears/gold',
            C: '#minecraft:swords',
            D: 'industrialforegoing:machine_frame_simple',
            E: '#minecraft:axes',
            F: 'minecraft:redstone_block'
        }
    )
    event.remove({ output: 'industrialforegoing:mob_duplicator' })
    event.shaped(
        Item.of('industrialforegoing:mob_duplicator'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'industrialforegoing:plastic',
            B: [
                'minecraft:spawner',
                'forbidden_arcanus:quantum_catcher'
            ],
            C: 'minecraft:magma_cream',
            D: 'industrialforegoing:machine_frame_advanced',
            E: 'minecraft:emerald',
            F: 'minecraft:redstone'
        }
    )
})